x003036_g_scriptId=003036

x003036_g_IdPuTong={}
x003036_g_IdPuTong[1]={800000}     --    刷的怪物

x003036_g_PuTongNum={}
x003036_g_PuTongNum[1]={4}     --   数量

x003036_g_ExistTime = 9000000

x003036_g_MonsterPosList={}     
x003036_g_MonsterPosList[1]={{130.69,48.87,0.29},{248.96,98.33,-0.9},{301.99,245.41,2.83},{161.93,251.37,1.57},{130.69,48.87,0.29},{248.96,98.33,-0.9},{301.99,245.41,2.83},{161.93,251.37,1.57}}	 
-- 上面的怪物坐标重复写两遍   方便随机不同的坐标

function x003036_OnActivityStart( scene,curTime,idx)	
	local PosNum = #x003036_g_MonsterPosList[1]/2
	local randPos = RandomMon(1, PosNum)	
	local Rcount = x003036_g_PuTongNum[1][1]-1
	local Lvl = GetWorldLvlByFestivalMonster(scene)
	print("刷怪世界等級")

	local AdaptLvl = math.floor(Lvl/10)
	print(AdaptLvl)
	SetSceneBossNum(scene, idx)
	for i = randPos, randPos+Rcount do
		local objId = CreateMonster(scene, x003036_g_IdPuTong[1][1]+AdaptLvl,x003036_g_MonsterPosList[1][i][3],x003036_g_MonsterPosList[1][i][1],x003036_g_MonsterPosList[1][i][2])
		--SetNpcCampByObjId(scene,objId,1)
		SetMonEndTime(scene, curTime, x003036_g_ExistTime, objId)
		LogMonster(scene,objId,x003036_g_IdPuTong[1][1]+AdaptLvl,x003036_g_MonsterPosList[1][i][3],x003036_g_MonsterPosList[1][i][1],x003036_g_MonsterPosList[1][i][2])
	
	end
end
